# $Revision: 1.1 $, $Date: 2004/11/16 21:18:16 $
%define		fversion	%(echo %{version} |tr r -)
%define         modulename	boot
Summary:	Bootstrap R (S-Plus) Functions (Canty)
Summary(pl):	Funkcje Bootstrapu R (S-Plus)
Name:		R-cran-%{modulename}
Version:	1.2r20
Release:	1
License:	Unlimited distribution.
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	c8838ad47ba659d8ea50a7262471124b
# Source0-size: 179603
BuildRequires:	R-base >= 2.0.0
Requires(post,postun):	R-base >= 2.0.0
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
functions and datasets for bootstrapping from the book Bootstrap
Methods and Their Applications by A. C. Davison and D. V. Hinkley
(1997, CUP).

%description -l pl
Funkcje i zbiory danych do bootstrapu z ksiki "Bootstrap Methods and
Their Applications" A. C. Davidsona i D. V. Hinkley (1997, CUP).

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/DESCRIPTION
%{_libdir}/R/library/%{modulename}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: R-cran-boot.spec,v $
Revision 1.1  2004/11/16 21:18:16  undefine
- initital pld version

